#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
    unsigned n;
    cin >> n;
    unsigned a[n];
    float p[n];
    for(unsigned i = 0; i < n; i++) {
        cin >> a[i] >> p[i];
    }
    float maxPorez = 0;
    for(unsigned i = 0; i < n; i++) {
        unsigned zarada = a[i];
        for(unsigned j = 0; j < n; j++) {
            if(i != j && p[i] <= p[j]) {
                zarada += a[j];
            }
        }
        if(maxPorez < zarada*p[i])
            maxPorez = (float)zarada*p[i];
    }
    std::cout << std::fixed << std::setprecision(4);
    std::cout << std::setw(5) << maxPorez / 100;
    return 0;
}